import 'package:flutter/material.dart';
import 'package:special_equipment_flutter/ui/login/login_page.dart';
import 'package:special_equipment_flutter/ui/main/tab_home_page.dart';
import 'package:special_equipment_flutter/utils/storage_util.dart';

///是否登录？未登录跳转登录页面；已登录跳转首页
class StartAppState extends StatelessWidget {
  const StartAppState({super.key});

  @override
  Widget build(BuildContext context) {
    if (StorageUtil.getInstance().isLogin()) {
      return const LoginPage();
    } else {
      return const HomePage();
    }
  }
}
